### Enumeration

# SpiceClientGLib ChannelEvent

#### Declaration

    enum SpiceClientGLib.ChannelEvent

#### Description [src]

An event, emitted by `SpiceChannel::channel-event` signal.

#### Members

`SPICE_CHANNEL_NONE`

  No event, or ignored event.

  - Value: `0`
  - Available since: 2.0
`SPICE_CHANNEL_OPENED`

  Connection is authentified and ready.

  - Value: `10`
  - Available since: 2.0
`SPICE_CHANNEL_SWITCHING`

  Disconnecting from the current host and connecting to the target host.

  - Value: `11`
  - Available since: 2.0
`SPICE_CHANNEL_CLOSED`

  Connection is closed normally (sent if channel was ready).

  - Value: `12`
  - Available since: 2.0
`SPICE_CHANNEL_ERROR_CONNECT`

  Connection error.

  - Value: `20`
  - Available since: 2.0
`SPICE_CHANNEL_ERROR_TLS`

  SSL error.

  - Value: `21`
  - Available since: 2.0
`SPICE_CHANNEL_ERROR_LINK`

  Error during link process.

  - Value: `22`
  - Available since: 2.0
`SPICE_CHANNEL_ERROR_AUTH`

  Authentication error.

  - Value: `23`
  - Available since: 2.0
`SPICE_CHANNEL_ERROR_IO`

  IO error.

  - Value: `24`
  - Available since: 2.0